version: "3.7"
services:
  app:
    build:      
      args:
        user: sammy
        uid: 1000
      context: ./
      dockerfile: Dockerfile
    image: swfacil-ecommerce
    tty: true
    container_name: swfacil-ecommerce-laravel
    restart: always
    working_dir: /var/www/
    volumes:
      - ./:/var/www     
  
  nginx:
    image: nginx:alpine
    tty: true
    container_name: swfacil-ecommerce-nginx
    restart: always
    ports:
      - 8484:80
    volumes:
      - ./:/var/www
      - ./docker-compose/nginx/default.conf:/etc/nginx/conf.d/default.conf

networks:
  swfacil-ecommerce-red:
    driver: bridge
